#ifndef OSD_H_
#define OSD_H_
 
#define OSD_RW_CTRL          0xF6 
#define OSD_ADDRESS_L        0xF2 
#define OSD_ADDRESS_H        0xF3 
#define OSD_DATA_L           0xF4 
#define OSD_DATA_H           0xF5 
#define OSD_ENABLE           0x16 
 
#define MXIC_CHAR_COUNT_PER_LINE     16 
#define MXIC_CHAR_LINE_COUNT         8 
 
#define GAMMA_CTR	0x0C 
#define	GAMMA_PORT	0x15 
 
#define OSD_CTRL_REG     0 
#define OSD_FONT_RAM     1 
#define OSD_CODE_BUFFER  2 
#define OSD_ATTR_REG     3 
 
#define MXIC_CCIR601_8BIT	 0 
#define MXIC_CCIR601_16BIT	 1 
#define MXIC_CCIR656		 2 
#define MXIC_RGB565			 3 
#define MXIC_RGB666			 4 
#define MXIC_CVBS1			 5 
#define MXIC_CVBS2			 6 
#define MXIC_CVBS3			 7 
#define MXIC_CVBS4			 8 
#define MXIC_CVBS5			 9 
#define MXIC_CVBS6			 10 
#define MXIC_CVBS7			 11 
#define MXIC_CVBS8			 12 
#define MXIC_SVIDEO1		 13 
#define MXIC_SVIDEO2		 14 
#define MXIC_SVIDEO3		 15 
#define MXIC_SVIDEO4		 16 
#define MXIC_YCBCR			 17 
#define MXIC_RGB			 18 
#define MXIC_YPBPR			 19 
 
#define MXIC_NTSC_MODE   0 
#define MXIC_PAL_MODE	 1 
#define MXIC_SECAM_MODE	 2 
 
#define MXIC_SCALER_16_9          0 
#define MXIC_SCALER_4_3           1 
 
#define ADJ_ADD_VAL          0 
#define ADJ_SUB_VAL          1 
#define ADJ_DEFAULT_VAL      2 
#define ADJ_SET_VAL          3 


#define OSD_ROW_COUNT 8   
#define OSD_COL_COUNT 16                                                
#define NULL 0   

unsigned char MXIC_WriteExternalReg(unsigned char m_Address,unsigned char m_Data);

unsigned char MXIC_ReadExternalReg(unsigned char m_Address);

unsigned char MXIC_OSDReg_Write(unsigned char m_Target,unsigned int m_Address,unsigned char *m_Data,unsigned int m_Count);

unsigned char MXIC_OSDReg_SingleWrite(unsigned char m_Target,unsigned short m_Address,unsigned char m_HighByte,unsigned char m_LowByte);   

unsigned char ASCII_TO_FONTIndex(unsigned char m_AnyChar);

unsigned char MXIC_OSD_ShowText(unsigned char *m_Str,unsigned char m_Count,unsigned char m_RowVal,unsigned char m_ColVal);

unsigned char OSD_AutoLoadRamFont(void);

unsigned char OSD_Initial(void);

unsigned char OSD_ShowText(unsigned char *m_Str,unsigned char m_Count,unsigned int xPos,unsigned int yPos);

#endif
